using System;
using UnityEngine;

public class UnityEventsListener : MonoBehaviour
{
    public bool IsEnabled { get; private set; }
    public Action EnabledHandlers { get; set; }
    public Action DisabledHandlers { get; set; }

    void OnEnable()
    {
        IsEnabled = true;
        EnabledHandlers?.Invoke();
    }

    void OnDisable()
    {
        IsEnabled = false;
        DisabledHandlers?.Invoke();
    }
}
