using System.Collections.Generic;
using System.Linq;
using SimpleJSON;
using UnityEngine;

public class Layer
{
    public string Name;

    public bool Global;

    public Layer(string name)
    {
        Name = name;
    }

    public Layer(JSONClass layerJSON)
    {
        Name = layerJSON["Name"];
        Global = layerJSON["Global"].AsBool;
    }

    public JSONClass GetJSON()
    {
        JSONClass layerJSON = new JSONClass();
        layerJSON["Name"] = Name;
        layerJSON["Global"].AsBool = Global;

        return layerJSON;
    }

    public List<ActionItem> GetActions(ActionListManager script)
    {
        return script.actionsDictionary.Values.Where(ai => ai.Layer == Name).ToList();
    }
}
