using System;

public class Timeline
{
    public static JSONStorable GetPlugin(MVRScript script, bool optional = true)
    {
        return GetPluginByType(script.containingAtom, "VamTimeline.AtomPlugin", optional);
    }

    public static JSONStorable GetPluginByType(Atom atom, string pluginType, bool optional = false)
    {
        foreach (string pluginId in atom.GetStorableIDs())
        {
            if (pluginId.Contains(pluginType))
            {
                return atom.GetStorableByID(pluginId);
            }
        }

        if (optional)
        {
            return null;
        }

        SuperController.LogError("Plugin with type " + pluginType + " has not been found on the atom " + atom.name);
        throw new NullReferenceException("Cannot find plugin of type " + pluginType + " on atom " + atom.uid);
    }
}
