using UnityEngine;

public class Colors
{
    public static Color MAIN_WINDOW = new Color(0.4980392157f, 0.6313725490f, 0.8431372549f, 1);
    public static Color MAIN_WINDOW_BACK = new Color(0.2235294118f, 0.3450980392f, 0.5372549020f, 1);
    public static Color BUTTON_DEFAULT = new Color(0.8039215686f, 0.8039215686f, 0.8039215686f, 1);
    public static Color BUTTON_LAYERED_ACTION = new Color(1.0000000000f, 0.9843137255f, 0.8000000000f, 1f);
    public static Color BUTTON_TRANSITION_ACTION = new Color(0.7803921569f, 0.9960784314f, 0.7647058824f, 1);
    public static Color BUTTON_USER_ACTION = new Color(0.6392156863f, 0.6980392157f, 1.0000000000f, 1);
    public static Color BUTTON_DANGER = new Color(0.903f, 0.440f, 0.440f, 1.0f);
    public static Color BUTTON_WARNING = new Color(1.0000000000f, 0.9843137255f, 0.8000000000f, 1f);
    public static Color USER_MESSAGE = new Color(0.7098039216f, 1.0000000000f, 0.4196078431f, 0.4f);
    public static Color CHARACTER_MESSAGE = new Color(1.0000000000f, 0.4196078431f, 0.7019607843f, 0.4f);
    public static Color REMOVE_COLOR = new Color(0.903f, 0.440f, 0.440f, 1.0f);

    public static Color DefermineActionButtonColor(ActionItem actionItem)
    {
        if (actionItem.UserAction)
            return BUTTON_USER_ACTION;

        if (actionItem.IsLayeredAction())
            return BUTTON_LAYERED_ACTION;

        if (actionItem.TransitionAction)
            return BUTTON_TRANSITION_ACTION;

        return Color.white;
    }

    public static Color DefermineActionButtonColorSelected(ActionItem actionItem)
    {
        if (actionItem.UserAction)
            return new Color(0.4235294118f, 0.4666666667f, 0.6705882353f, 1);

        if (actionItem.IsLayeredAction())
            return new Color(0.6705882353f, 0.6588235294f, 0.5333333333f, 1);

        if (actionItem.TransitionAction)
            return new Color(0.5215686275f, 0.6705882353f, 0.5098039216f, 1);

        return new Color(0.6705882353f, 0.6705882353f, 0.6705882353f, 1);
    }
}
