using UnityEngine;
using UnityEngine.UI;

public class MainUI : UIPart
{
    public static JSONStorableStringChooser actionsChooser;

    public MainUI(ActionListManager script) : base(script) { }

    public override void Init()
    {
        actionsChooser = new JSONStorableStringChooser("Action", script.actionsDictionary.Keys.ToList(), "", "Action:", OnActionSelected);

        new ButtonBuilder(this, "Inspector", OnOpenInspector).Parent(script.UITransform).Location(new Vector2(2, 12)).Size(new Vector2(-910, 50)).ConstantElement().Build();
        new ButtonBuilder(this, "Import", () => SaveManager.Import(script)).Parent(script.UITransform).Location(new Vector2(190, 12)).Size(new Vector2(-950, 50)).ConstantElement().Build();
        new ButtonBuilder(this, "Export", () => SaveManager.Export(script)).Parent(script.UITransform).Location(new Vector2(340, 12)).Size(new Vector2(-950, 50)).ConstantElement().Build();
    }

    public static string GetChosenAction()
    {
        return actionsChooser.val;
    }

    public static void SetChoosenAction(string name)
    {
        if (name != ActionItem.BOOTSTRAP_NAME)
        {
            actionsChooser.val = name;
        }
    }

    private void OnActionSelected(string selectedAction)
    {
        if (string.IsNullOrEmpty(selectedAction))
        {
            return;
        }

        ActionItem actionItem;
        if (script.actionsDictionary.TryGetValue(selectedAction, out actionItem))
        {
            UI.actionTextFieldsUI.copyFieldValues(actionItem);
            UI.linkedActionsUI.copyFieldValues(actionItem);

            UI.linkedActionsUI.sameActionNameFunction.valNoCallback = ActionNameUtils.FunctionFormatActionName(actionItem.Name) == actionItem.Action ? true : false;
            UI.linkedActionsUI.showAdvancedSettings = false;

            script.RefreshActionUI();
        }
    }

    private static void OnOpenInspector()
    {
        UI.inspectorUI.Open();
    }

    public override void RefreshUI()
    {
        throw new System.NotImplementedException();
    }
}
