using UnityEngine;

public class UI
{
    public static MainUI mainUI { private set; get; }
    public static ActionTextFieldsUI actionTextFieldsUI { private set; get; }
    public static LinkedActionsUI linkedActionsUI { private set; get; }
    public static NewLinkedActionsUI newLinkedActionsUI { private set; get; }
    public static InspectorUI inspectorUI { private set; get; }
    public static BulkActionManagerUI bulkActionManagerUI { private set; get; }
    public static GroupUI groupUI { private set; get; }
    public static LayerUI layerUI { private set; get; }

    public static void Init(ActionListManager script)
    {
        mainUI = new MainUI(script);
        linkedActionsUI = new LinkedActionsUI(script);
        actionTextFieldsUI = new ActionTextFieldsUI(script);
        inspectorUI = new InspectorUI(script);
        newLinkedActionsUI = new NewLinkedActionsUI(script);
        bulkActionManagerUI = new BulkActionManagerUI(script);
        groupUI = new GroupUI(script);
        layerUI = new LayerUI(script);
    }
}
