using System.Collections.Generic;
using Battlehub.RTCommon;
using UnityEngine;
using UnityEngine.UI;

public class TitleOnBackgroundBuilder : UIBuilder<TitleOnBackgroundBuilder>
{
    private string text;
    private int fontSize = 30;
    private bool fontBold = false;
    private bool otherStyle = false;
    private Color labelColor = Color.white;
    private TextAnchor allignment = TextAnchor.MiddleLeft;
    private Vector2 location;
    private Vector2 size;
    public TitleOnBackgroundBuilder(MVRScript script, List<UIDynamic> uiElements, string text) : base(script, uiElements)
    {
        this.text = text;
    }
    public TitleOnBackgroundBuilder FontSize(int fontSize)
    {
        this.fontSize = fontSize;
        return this;
    }
    public TitleOnBackgroundBuilder FontBold()
    {
        this.fontBold = true;
        return this;
    }
    public TitleOnBackgroundBuilder OtherStyle()
    {
        this.otherStyle = true;
        return this;
    }
    public TitleOnBackgroundBuilder LabelColor(Color labelColor)
    {
        this.labelColor = labelColor;
        return this;
    }
    public TitleOnBackgroundBuilder Alignment(TextAnchor allignment)
    {
        this.allignment = allignment;
        return this;
    }
    public TitleOnBackgroundBuilder Location(Vector2 location)
    {
        this.location = location;
        return this;
    }
    public TitleOnBackgroundBuilder Size(Vector2 size)
    {
        this.size = size;
        return this;
    }
    // public UIDynamic Build()
    // {
    //     Utils.SetupInfoTextNoScroll(script, "Ddddd", 20, false);
    // }
}
