using UnityEngine;

public class BulkActionManagerCoordinates
{
    private static Vector2 BACKDROP_OFFSET_MIN_LEFT = new Vector2(-709f, -175f);
    private static Vector2 BACKDROP_OFFSET_MAX_LEFT = new Vector2(-1118f, 68f);
    private static Vector2 FOLD_LOCATION_LEFT = new Vector2(-38, -1309);

    private static Vector2 BACKDROP_OFFSET_MIN_RIGHT = new Vector2(1118f, -175f);
    private static Vector2 BACKDROP_OFFSET_MAX_RIGHT = new Vector2(709, 68f);
    private static Vector2 FOLD_LOCATION_RIGHT = new Vector2(1078, -1309);

    private static bool IsLeftSide()
    {
        return UISideAlign.globalSide == UISideAlign.Side.Right;
    }

    public static Vector2 GET_BACKDROP_OFFSET_MIN()
    {
        if (IsLeftSide())
        {
            return BACKDROP_OFFSET_MIN_LEFT;
        }

        return BACKDROP_OFFSET_MIN_RIGHT;
    }

    public static Vector2 GET_BACKDROP_OFFSET_MAX()
    {
        if (IsLeftSide())
        {
            return BACKDROP_OFFSET_MAX_LEFT;
        }

        return BACKDROP_OFFSET_MAX_RIGHT;
    }

    public static Vector2 GET_FOLD_LOCATION()
    {
        if (IsLeftSide())
        {
            return FOLD_LOCATION_LEFT;
        }

        return FOLD_LOCATION_RIGHT;
    }
}
