using UnityEngine;
using UnityEngine.EventSystems;

public class UndockHandler : MonoBehaviour, IPointerDownHandler, IPointerUpHandler
{
    private RectTransform uiRectTransform;
    private bool down;
    private Vector3 mousePos;

    public void Initialize(RectTransform uiRectTransform)
    {
        this.uiRectTransform = uiRectTransform;
    }

    public void Update()
    {
        if (down)
        {
            var mouseDelta = Input.mousePosition - mousePos;

            var deltaVector = new Vector2(mouseDelta.x, mouseDelta.y);
            uiRectTransform.offsetMin += deltaVector;
            uiRectTransform.offsetMax += deltaVector;

            // float scale = SuperController.singleton.monitorUIScaleSlider.value;
            // float baseDivisor = 4.4f;
            // float adjustedDivisor = baseDivisor * (1 / scale);

            // SuperController.LogError(scale.ToString());

            // uiRectTransform.anchoredPosition += deltaVector / CalculateDivisorPolynomial(SuperController.singleton.monitorUIScaleSlider.value);
            uiRectTransform.anchoredPosition += deltaVector / 2.4f;

            mousePos = Input.mousePosition;
        }
    }

    float CalculateDivisorPolynomial(float scale)
    {
        float a = 98.808f;
        float b = -294.026f;
        float c = 269.437f;
        float d = -73.234f;

        return a * scale * scale * scale + b * scale * scale + c * scale + d;
    }








    public void OnPointerDown(PointerEventData eventData)
    {
        down = true;
        mousePos = Input.mousePosition;
    }

    public void OnPointerUp(PointerEventData eventData)
    {
        down = false;
    }
}
